/* config.h.in.  Generated from configure.ac by autoheader.  */


#ifndef _GCRYPT_CONFIG_H_INCLUDED
#define _GCRYPT_CONFIG_H_INCLUDED

/* Enable gpg-error's strerror macro for W32CE.  */
#define GPG_ERR_ENABLE_ERRNO_MACROS 1

/* use compat library for W32CE */
#cmakedefine HAVE_WCECOMPAT @HAVE_WCECOMPAT@

/* configure did not test for endianess */
#cmakedefine DISABLED_ENDIAN_CHECK 1

/* Define if you don't want the default EGD socket name. For details see
   cipher/rndegd.c */
#cmakedefine EGD_SOCKET_NAME @EGD_SOCKET_NAME@

/* Define to support an HMAC based integrity check */
#cmakedefine ENABLE_HMAC_BINARY_CHECK @ENABLE_HMAC_BINARY_CHECK@ @ENABLE_HMAC_BINARY_CHECK@

/* Enable support for the PadLock engine. */
#cmakedefine ENABLE_PADLOCK_SUPPORT @ENABLE_PADLOCK_SUPPORT@

/* Define to use the GNU C visibility attribute. */
#cmakedefine GCRY_USE_VISIBILITY @GCRY_USE_VISIBILITY@

/* The default error source for libgcrypt. */
#cmakedefine GPG_ERR_SOURCE_DEFAULT @GPG_ERR_SOURCE_DEFAULT@

/* Define to 1 if you have the `atexit' function. */
#cmakedefine HAVE_ATEXIT @HAVE_ATEXIT@

/* Defined if the mlock() call does not work */
#cmakedefine HAVE_BROKEN_MLOCK @HAVE_BROKEN_MLOCK@

/* Defined if a `byte' is typedef'd */
#cmakedefine HAVE_BYTE_TYPEDEF @HAVE_BYTE_TYPEDEF@

/* Define to 1 if you have the `clock' function. */
#cmakedefine HAVE_CLOCK @HAVE_CLOCK@

/* Define to 1 if you have the `clock_gettime' function. */
#cmakedefine HAVE_CLOCK_GETTIME @HAVE_CLOCK_GETTIME@

/* Define to 1 if you have the declaration of `sys_siglist', and to 0 if you
   don't. */
#cmakedefine HAVE_DECL_SYS_SIGLIST @HAVE_DECL_SYS_SIGLIST@

/* defined if the system supports a random device */
#cmakedefine HAVE_DEV_RANDOM @HAVE_DEV_RANDOM@

/* Define to 1 if you have the <dlfcn.h> header file. */
#cmakedefine HAVE_DLFCN_H @HAVE_DLFCN_H@

/* Define to 1 if you don't have `vprintf' but do have `_doprnt.' */
#cmakedefine HAVE_DOPRNT @HAVE_DOPRNT@

/* defined if we run on some of the PCDOS like systems (DOS, Windoze. OS/2)
   with special properties like no file modes */
#cmakedefine HAVE_DOSISH_SYSTEM @HAVE_DOSISH_SYSTEM@

/* defined if we must run on a stupid file system */
#cmakedefine HAVE_DRIVE_LETTERS @HAVE_DRIVE_LETTERS@

/* Define to 1 if you have the `fcntl' function. */
#cmakedefine HAVE_FCNTL @HAVE_FCNTL@

/* Define to 1 if you have the <fcntl.h> header file. */
#cmakedefine HAVE_FCNTL_H @HAVE_FCNTL_H@

/* Define to 1 if you have the `ftruncate' function. */
#cmakedefine HAVE_FTRUNCATE @HAVE_FTRUNCATE@

/* Define to 1 if you have the `gethrtime' function. */
#cmakedefine HAVE_GETHRTIME @HAVE_GETHRTIME@

/* Define to 1 if you have the `getpagesize' function. */
#cmakedefine HAVE_GETPAGESIZE @HAVE_GETPAGESIZE@

/* Define to 1 if you have the `getpid' function. */
#cmakedefine HAVE_GETPID @HAVE_GETPID@

/* Define to 1 if you have the `getrusage' function. */
#cmakedefine HAVE_GETRUSAGE @HAVE_GETRUSAGE@

/* Define to 1 if you have the `gettimeofday' function. */
#cmakedefine HAVE_GETTIMEOFDAY @HAVE_GETTIMEOFDAY@

/* Define to 1 if you have the <inttypes.h> header file. */
#cmakedefine HAVE_INTTYPES_H @HAVE_INTTYPES_H@

/* Define to 1 if you have the `rt' library (-lrt). */
#cmakedefine HAVE_LIBRT @HAVE_LIBRT@

/* Define to 1 if you have the `memmove' function. */
#cmakedefine HAVE_MEMMOVE @HAVE_MEMMOVE@

/* Define to 1 if you have the <memory.h> header file. */
#cmakedefine HAVE_MEMORY_H @HAVE_MEMORY_H@

/* Defined if the system supports an mlock() call */
#cmakedefine HAVE_MLOCK @HAVE_MLOCK@

/* Define to 1 if you have the `mmap' function. */
#cmakedefine HAVE_MMAP @HAVE_MMAP@

/* Defined if the GNU Pth is available */
#cmakedefine HAVE_PTH @HAVE_PTH@

/* Define to 1 if you have the `raise' function. */
#cmakedefine HAVE_RAISE @HAVE_RAISE@

/* Define to 1 if you have the `rand' function. */
#cmakedefine HAVE_RAND @HAVE_RAND@

/* Define to 1 if you have the <stdint.h> header file. */
#cmakedefine HAVE_STDINT_H @HAVE_STDINT_H@

/* Define to 1 if you have the <stdlib.h> header file. */
#cmakedefine HAVE_STDLIB_H @HAVE_STDLIB_H@

/* Define to 1 if you have the `stpcpy' function. */
#cmakedefine HAVE_STPCPY @HAVE_STPCPY@

/* Define to 1 if you have the `strcasecmp' function. */
#cmakedefine HAVE_STRCASECMP @HAVE_STRCASECMP@

/* Define to 1 if you have the `strerror' function. */
#cmakedefine HAVE_STRERROR @HAVE_STRERROR@

/* Define to 1 if you have the `stricmp' function. */
#cmakedefine HAVE_STRICMP @HAVE_STRICMP@

/* Define to 1 if you have the <strings.h> header file. */
#cmakedefine HAVE_STRINGS_H @HAVE_STRINGS_H@

/* Define to 1 if you have the <string.h> header file. */
#cmakedefine HAVE_STRING_H @HAVE_STRING_H@

/* Define to 1 if you have the `strtoul' function. */
#cmakedefine HAVE_STRTOUL @HAVE_STRTOUL@

/* Define to 1 if you have the `sysconf' function. */
#cmakedefine HAVE_SYSCONF @HAVE_SYSCONF@

/* Define to 1 if you have the `syslog' function. */
#cmakedefine HAVE_SYSLOG @HAVE_SYSLOG@

/* Define to 1 if you have the <sys/capability.h> header file. */
#cmakedefine HAVE_SYS_CAPABILITY_H @HAVE_SYS_CAPABILITY_H@

/* Define to 1 if you have the <sys/mman.h> header file. */
#cmakedefine HAVE_SYS_MMAN_H @HAVE_SYS_MMAN_H@

/* Define to 1 if you have the <sys/msg.h> header file. */
#cmakedefine HAVE_SYS_MSG_H @HAVE_SYS_MSG_H@

/* Define to 1 if you have the <sys/select.h> header file. */
#cmakedefine HAVE_SYS_SELECT_H @HAVE_SYS_SELECT_H@

/* Define to 1 if you have the <sys/socket.h> header file. */
#cmakedefine HAVE_SYS_SOCKET_H @HAVE_SYS_SOCKET_H@

/* Define to 1 if you have the <sys/stat.h> header file. */
#cmakedefine HAVE_SYS_STAT_H @HAVE_SYS_STAT_H@

/* Define to 1 if you have the <sys/types.h> header file. */
#cmakedefine HAVE_SYS_TYPES_H @HAVE_SYS_TYPES_H@

/* Defined if a `u16' is typedef'd */
#cmakedefine HAVE_U16_TYPEDEF @HAVE_U16_TYPEDEF@

/* Defined if a `u32' is typedef'd */
#cmakedefine HAVE_U32_TYPEDEF @HAVE_U32_TYPEDEF@

/* Define to 1 if the system has the type `uintptr_t'. */
#cmakedefine HAVE_UINTPTR_T @HAVE_UINTPTR_T@

/* Defined if a `ulong' is typedef'd */
#cmakedefine HAVE_ULONG_TYPEDEF @HAVE_ULONG_TYPEDEF@

/* Define to 1 if you have the <unistd.h> header file. */
#cmakedefine HAVE_UNISTD_H @HAVE_UNISTD_H@

/* Defined if a `ushort' is typedef'd */
#cmakedefine HAVE_USHORT_TYPEDEF @HAVE_USHORT_TYPEDEF@

/* Define to 1 if you have the `vprintf' function. */
#cmakedefine HAVE_VPRINTF @HAVE_VPRINTF@

/* Defined if we run on WindowsCE */
#cmakedefine HAVE_W32CE_SYSTEM @HAVE_W32CE_SYSTEM@

/* Defined if we run on a W32 API based system */
#cmakedefine HAVE_W32_SYSTEM @HAVE_W32_SYSTEM@

/* Define to 1 if you have the `wait4' function. */
#cmakedefine HAVE_WAIT4 @HAVE_WAIT4@

/* Define to 1 if you have the `waitpid' function. */
#cmakedefine HAVE_WAITPID @HAVE_WAITPID@

/* Define to 1 if you have the <winsock2.h> header file. */
#cmakedefine HAVE_WINSOCK2_H @HAVE_WINSOCK2_H@

/* Define to 1 if you have the <ws2tcpip.h> header file. */
#cmakedefine HAVE_WS2TCPIP_H @HAVE_WS2TCPIP_H@

/* Defined if this is not a regular release */
#cmakedefine IS_DEVELOPMENT_VERSION @IS_DEVELOPMENT_VERSION@

/* List of available cipher algorithms */
#cmakedefine LIBGCRYPT_CIPHERS "@LIBGCRYPT_CIPHERS@"

/* List of available digest algorithms */
#cmakedefine LIBGCRYPT_DIGESTS "@LIBGCRYPT_DIGESTS@"

/* List of available public key cipher algorithms */
#cmakedefine LIBGCRYPT_PUBKEY_CIPHERS "@LIBGCRYPT_PUBKEY_CIPHERS@"

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#cmakedefine LT_OBJDIR @LT_OBJDIR@

/* Define to use the (obsolete) malloc guarding feature */
#cmakedefine M_GUARD @M_GUARD@

/* defined to the name of the strong random device */
#cmakedefine NAME_OF_DEV_RANDOM @NAME_OF_DEV_RANDOM@

/* defined to the name of the weaker random device */
#cmakedefine NAME_OF_DEV_URANDOM @NAME_OF_DEV_URANDOM@

/* Define to 1 if your C compiler doesn't accept -c and -o together. */
#cmakedefine NO_MINUS_C_MINUS_O @NO_MINUS_C_MINUS_O@

/* Name of this package */
#cmakedefine PACKAGE @PACKAGE@

/* Define to the address where bug reports for this package should be sent. */
#cmakedefine PACKAGE_BUGREPORT @PACKAGE_BUGREPORT@

/* Define to the full name of this package. */
#cmakedefine PACKAGE_NAME @PACKAGE_NAME@

/* Define to the full name and version of this package. */
#cmakedefine PACKAGE_STRING @PACKAGE_STRING@

/* Define to the one symbol short name of this package. */
#cmakedefine PACKAGE_TARNAME @PACKAGE_TARNAME@

/* Define to the version of this package. */
#cmakedefine PACKAGE_VERSION @PACKAGE_VERSION@

/* A human readable text with the name of the OS */
#cmakedefine PRINTABLE_OS_NAME @PRINTABLE_OS_NAME@

/* Define as the return type of signal handlers (`int' or `void'). */
#cmakedefine RETSIGTYPE @RETSIGTYPE@

/* The size of `unsigned int', as computed by sizeof. */
#cmakedefine SIZEOF_UNSIGNED_INT @SIZEOF_UNSIGNED_INT@

/* The size of `unsigned long', as computed by sizeof. */
#cmakedefine SIZEOF_UNSIGNED_LONG @SIZEOF_UNSIGNED_LONG@

/* The size of `unsigned long long', as computed by sizeof. */
#cmakedefine SIZEOF_UNSIGNED_LONG_LONG @SIZEOF_UNSIGNED_LONG_LONG@

/* The size of `unsigned short', as computed by sizeof. */
#cmakedefine SIZEOF_UNSIGNED_SHORT @SIZEOF_UNSIGNED_SHORT@

/* Define to 1 if you have the ANSI C header files. */
#cmakedefine STDC_HEADERS @STDC_HEADERS@

/* Defined if this module should be included */
#cmakedefine USE_AES @USE_AES@

/* Defined if this module should be included */
#cmakedefine USE_ARCFOUR @USE_ARCFOUR@

/* Defined if this module should be included */
#cmakedefine USE_BLOWFISH @USE_BLOWFISH@

/* Defined if this module should be included */
#cmakedefine USE_CAMELLIA @USE_CAMELLIA@

/* define if capabilities should be used */
#cmakedefine USE_CAPABILITIES @USE_CAPABILITIES@

/* Defined if this module should be included */
#cmakedefine USE_CAST5 @USE_CAST5@

/* Defined if this module should be included */
#cmakedefine USE_CRC @USE_CRC@

/* Defined if this module should be included */
#cmakedefine USE_DES @USE_DES@

/* Defined if this module should be included */
#cmakedefine USE_DSA @USE_DSA@

/* Defined if this module should be included */
#cmakedefine USE_ECC @USE_ECC@

/* Defined if this module should be included */
#cmakedefine USE_ELGAMAL @USE_ELGAMAL@

/* Defined if the GNU Portable Thread Library should be used */
#cmakedefine USE_GNU_PTH @USE_GNU_PTH@

/* Defined if this module should be included */
#cmakedefine USE_MD4 @USE_MD4@

/* Defined if this module should be included */
#cmakedefine USE_MD5 @USE_MD5@

/* set this to limit filenames to the 8.3 format */
#cmakedefine USE_ONLY_8DOT3 @USE_ONLY_8DOT3@

/* Define to support the experimental random daemon */
#cmakedefine USE_RANDOM_DAEMON @USE_RANDOM_DAEMON@

/* Defined if this module should be included */
#cmakedefine USE_RFC2268 @USE_RFC2268@

/* Defined if this module should be included */
#cmakedefine USE_RMD160 @USE_RMD160@

/* Defined if the EGD based RNG should be used. */
#cmakedefine USE_RNDEGD @USE_RNDEGD@

/* Defined if the /dev/random RNG should be used. */
#cmakedefine USE_RNDLINUX @USE_RNDLINUX@

/* Defined if the default Unix RNG should be used. */
#cmakedefine USE_RNDUNIX @USE_RNDUNIX@

/* Defined if the Windows specific RNG should be used. */
#cmakedefine USE_RNDW32 @USE_RNDW32@

/* Defined if the WindowsCE specific RNG should be used. */
#cmakedefine USE_RNDW32CE @USE_RNDW32CE@

/* Defined if this module should be included */
#cmakedefine USE_RSA @USE_RSA@

/* Defined if this module should be included */
#cmakedefine USE_SEED @USE_SEED@

/* Defined if this module should be included */
#cmakedefine USE_SERPENT @USE_SERPENT@

/* Defined if this module should be included */
#cmakedefine USE_SHA1 @USE_SHA1@

/* Defined if this module should be included */
#cmakedefine USE_SHA256 @USE_SHA256@

/* Defined if this module should be included */
#cmakedefine USE_SHA512 @USE_SHA512@

/* Enable extensions on AIX 3, Interix.  */
#ifndef _ALL_SOURCE
# undef _ALL_SOURCE
#endif
/* Enable GNU extensions on systems that have them.  */
#ifndef _GNU_SOURCE
# undef _GNU_SOURCE
#endif
/* Enable threading extensions on Solaris.  */
#ifndef _POSIX_PTHREAD_SEMANTICS
# undef _POSIX_PTHREAD_SEMANTICS
#endif
/* Enable extensions on HP NonStop.  */
#ifndef _TANDEM_SOURCE
# undef _TANDEM_SOURCE
#endif
/* Enable general extensions on Solaris.  */
#ifndef __EXTENSIONS__
# undef __EXTENSIONS__
#endif


/* Defined if this module should be included */
#cmakedefine USE_TIGER @USE_TIGER@

/* Defined if this module should be included */
#cmakedefine USE_TWOFISH @USE_TWOFISH@

/* Defined if this module should be included */
#cmakedefine USE_WHIRLPOOL @USE_WHIRLPOOL@

/* Version of this package */
#cmakedefine VERSION @VERSION@

/* Defined if compiled symbols have a leading underscore */
#cmakedefine WITH_SYMBOL_UNDERSCORE @WITH_SYMBOL_UNDERSCORE@

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
#  undef WORDS_BIGENDIAN
# endif
#endif

/* Define to 1 if on MINIX. */
#cmakedefine _MINIX @_MINIX@

/* Define to 2 if the system does not provide POSIX.1 features except with
   this defined. */
#cmakedefine _POSIX_1_SOURCE @_POSIX_1_SOURCE@

/* Define to 1 if you need to in order for `stat' and other things to work. */
#cmakedefine _POSIX_SOURCE @_POSIX_SOURCE@

/* To allow the use of Libgcrypt in multithreaded programs we have to use
    special features from the library. */
#ifndef _REENTRANT
# define _REENTRANT 1
#endif


/* Define to empty if `const' does not conform to ANSI C. */
#cmakedefine const @const@

/* Define to `__inline__' or `__inline' if that's what the C compiler
   calls it, or to nothing if 'inline' is not supported under any name.  */
#ifndef __cplusplus
#cmakedefine inline @inline@
#endif

/* Define to `int' if <sys/types.h> does not define. */
#cmakedefine pid_t @pid_t@

/* Define to `unsigned int' if <sys/types.h> does not define. */
#cmakedefine size_t @size_t@

/* type to use in place of socklen_t if not defined */
#cmakedefine socklen_t @socklen_t@

/* Define to the type of an unsigned integer type wide enough to hold a
   pointer, if such a type exists, and if the system does not define it. */
#cmakedefine uintptr_t @uintptr_t@


#define _GCRYPT_IN_LIBGCRYPT 1

/* If the configure check for endianness has been disabled, get it from
   OS macros.  This is intended for making fat binary builds on OS X.  */
#ifdef DISABLED_ENDIAN_CHECK
# if defined(__BIG_ENDIAN__)
#  define WORDS_BIGENDIAN 1
# elif defined(__LITTLE_ENDIAN__)
#  undef WORDS_BIGENDIAN
# else
#  error "No endianness found"
# endif
#endif /*DISABLED_ENDIAN_CHECK*/

/* We basically use the original Camellia source.  Make sure the symbols 
   properly prefixed.  */
#define CAMELLIA_EXT_SYM_PREFIX _gcry_

/* This error code is only available with gpg-error 1.7.  Thus
   we define it here with the usual gcry prefix.  */
#define GCRY_GPG_ERR_NOT_OPERATIONAL  176

#ifdef _MSC_VER
# define snprintf _snprintf
#endif

#ifdef _WIN32_WCE
# undef leave
# ifdef HAVE_WCECOMPAT
#  define read _read
#  define write _write
# endif
# define access _access
#endif

#endif /*_GCRYPT_CONFIG_H_INCLUDED*/
